# filtercode

Sets the legacy Darwin filter code expected by older Darwin filters.

This parameter applies to Darwin connector (mmdarwin).

Name:

  filtercode

Scope:

  input

Type:

  word

Default:

  input=0x00000000

Required?:

  no

Introduced:

  at least 8.x, possibly earlier

## Description

Each Darwin module has a unique filter code. For example, the code of the hostlookup filter is `"0x66726570"`. This code was mandatory but is now obsolete. It can be omitted or left at its default value.

## Input usage

    action(type="mmdarwin" filterCode="0x72657075")

## See also

See also Darwin connector (mmdarwin).

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.